import type { Track } from "@/types/track";

export interface PlayerState {
	playing: boolean;
	loading: boolean;

	volume: number;
	progress: number;
	track: Track;
}

// eslint-disable-next-line @typescript-eslint/ban-types
export interface EventListeners extends Record<Events, Function> {
	track: (track: Track) => void;
	queue: (chunk: number) => void;
	state: (state: PlayerState) => void;
	progress: (progress: number) => void;
}

export type Events =
	| "track"
	| "queue"
	| "state"
	| "progress"
	| "play"
	| "pause";
