import time from "dayjs";

import duration from "dayjs/plugin/duration";

time.extend(duration);

export default time;

export interface ParseDuration {
	hours: number;
	minutes: number;
	seconds: number;
}

export function parseDuration(seconds: number): ParseDuration {
	const hours = Math.floor(seconds / 3600);
	seconds = seconds % 3600;

	const minutes = Math.floor(seconds / 60);
	seconds = seconds % 60;

	return { hours, minutes, seconds };
}
