import { useParams } from "@solidjs/router";
import { createResource } from "solid-js";

import { fetchAPI } from "@/lib/api";
import { Artist as ArtistType } from "@/types/artist";

export default function Artist() {
	const params = useParams<{ artistId: string }>();
	const [artist] = createResource(() => params.artistId, getArtist);

	return <p>{artist()?.name}</p>;
}

async function getArtist(artistId: string): Promise<ArtistType> {
	return fetchAPI(`/artists/${artistId}`);
}
